Debian Bug report logs - #689722
cryptsetup: should depend on kbd and console-setup

version graph

Package: cryptsetup; Maintainer for cryptsetup is Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>; Source for cryptsetup is src:cryptsetup.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Fri, 5 Oct 2012 14:39:01 UTC

Severity: normal

Found in version cryptsetup/2:1.4.3-2

Fixed in version cryptsetup/2:1.4.3-3

Done: Jonas Meurer <mejo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#689722; Package cryptsetup. (Fri, 05 Oct 2012 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Fri, 05 Oct 2012 14:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cryptsetup: should depend on kbd and console-setup
Date: Fri, 05 Oct 2012 16:37:33 +0200
Package: cryptsetup
Version: 2:1.4.3-2
Severity: normal

While discussing on IRC the problem reported in #689336, we thought that
cryptsetup should depend on "kbd, console-setup".

The reason is that /usr/share/initramfs-tools/conf-hooks.d/cryptsetup
enables KEYMAP=y but this setting alone is not sufficient. If either
loadkeys or setupcon is missing, then the "keymap" hook of initramfs-tools
does nothing.

So you have to ensure that both tools are available and for this you need
the dependencies.

Cheers,
 Raphaël.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#689722; Package cryptsetup. (Sat, 06 Oct 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <christoph.anton.mitterer@physik.uni-muenchen.de>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Sat, 06 Oct 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 689722@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <christoph.anton.mitterer@physik.uni-muenchen.de>
To: 689722@bugs.debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#689722: cryptsetup: should depend on kbd and console-setup
Date: Sat, 06 Oct 2012 01:37:27 +0200
Hi Raphaël.

On Fri, 2012-10-05 at 16:37 +0200, Raphaël Hertzog wrote:
> So you have to ensure that both tools are available and for this you need
> the dependencies.
Why does it generally need to depend on them?

Keyboard input is not necessarily needed, is it?


Some time ago, when I still tried to contribute to cryptsetup with
keyscripts and other stuff but was blocked, I suggested that keyscripts
should be split on in separate packages, where each code depend on what
it needs.

So any package requiring keyboard input could depend as you suggest
here,... other could depend on their respective packages, like OpenSC,
gpg, etc.


Should be the cleanest solution, IMHO.

Cheers,
Chris.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#689722; Package cryptsetup. (Tue, 09 Oct 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Tue, 09 Oct 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 689722@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Christoph Anton Mitterer <christoph.anton.mitterer@physik.uni-muenchen.de>, 689722@bugs.debian.org
Subject: Re: Bug#689722: cryptsetup: should depend on kbd and console-setup
Date: Tue, 9 Oct 2012 20:35:20 +0200
[Message part 1 (text/plain, inline)]
On Sat, Oct  6, 2012 at 01:37:27 +0200, Christoph Anton Mitterer wrote:

> Hi Raphaël.
> 
> On Fri, 2012-10-05 at 16:37 +0200, Raphaël Hertzog wrote:
> > So you have to ensure that both tools are available and for this you need
> > the dependencies.
> Why does it generally need to depend on them?
> 
Because people are generally unhappy when their machine doesn't boot,
and we shouldn't put them in that position.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#689722; Package cryptsetup. (Sat, 27 Oct 2012 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Sat, 27 Oct 2012 08:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 689722@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Julien Cristau <jcristau@debian.org>, 689722@bugs.debian.org
Cc: hertzog@debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#689722: cryptsetup: should depend on kbd and console-setup
Date: Sat, 27 Oct 2012 09:53:54 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hey,

Am 09.10.2012 20:35, schrieb Julien Cristau:
> On Sat, Oct  6, 2012 at 01:37:27 +0200, Christoph Anton Mitterer
> wrote:
> 
>> Hi Raphaël.
>> 
>> On Fri, 2012-10-05 at 16:37 +0200, Raphaël Hertzog wrote:
>>> So you have to ensure that both tools are available and for
>>> this you need the dependencies.
>> Why does it generally need to depend on them?
>> 
> Because people are generally unhappy when their machine doesn't
> boot, and we shouldn't put them in that position.

Do you think that a dependency is required, or would it be enough to
recommend kbd and console-setup? Cryptsetup indeed works without kbd,
it just doesn't copy the local keymap into initramfs.

Now that recommends are installed by default, it should be enough to
recommend the packages in question, no? Don't get me wrong, I'm fine
with depending on them as well, just not sure about it. That's why I
ask for your opinion.

Kind regards,
 jonas



-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://www.enigmail.net/

iQIcBAEBAgAGBQJQi5MMAAoJEFJi5/9JEEn+jfUP/0zCK4cTYvStHRQCnnmrvIjw
BrPc9k+RFQ/tVRKdmZ9yh3AsjNd9jKkr0Sss7MwmsHj5o2e3vJ3k9Mr9GSJgefV4
flcvO47TcEf7S7idupl6aagvKjdZ7gm0YwPnNWl3HaPc9E476WsIaPm3fGLPMlXX
g1xLAVC54r1164ZyY/AV5H0QX+S2P4Oy1Fbzq1PosI7Sjhf8XuF1u1m0Q12/b3AM
hTeyArOO4VaYc6BmS2QyO6x5Wbj6gC65xkhKJnHMLwZDYNQnErKVsRMYsx7Tlcke
3F8+jJklouZIa69k94NFz6mUDHVyzkSMWg3bqv15j7AVRDtS3AoYcmcNCEI4Os2e
5M4SBr3W+MrUnjLURRszv4v0Lnn4p0VLA3lvX9AuGG0tcCTP/1rkaBQrLCLB9Oy2
Arubp8XPCHLpaSX29KLSOZGI5A8oB4WW9ENUYV//xU8V5Vwpe6N4Nze13HlReEZX
BRoEEYZ0Lj3k5gdYnEpe21/SHsLgmSKc0bshWVpMXsy7ZocRnBcjz9fUCoqEAp06
4j+iVy1EfbpINJJ/+x+6H5IrTVqkn62rotyIAncZ8u8xmhhfA2ccaatWqXZusqVa
NtBduWy/d2z1swEFhmEZi8HDo8De5O14qXa95i/SPYlf1V6yjqa06pap+e+IJ16b
4nkaGIIp8n+xSN9wL04G
=Udzq
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#689722; Package cryptsetup. (Sun, 28 Oct 2012 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Sun, 28 Oct 2012 08:21:04 GMT) Full text and rfc822 format available.

Message #25 received at 689722@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jonas Meurer <jonas@freesources.org>
Cc: Julien Cristau <jcristau@debian.org>, 689722@bugs.debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#689722: cryptsetup: should depend on kbd and console-setup
Date: Sun, 28 Oct 2012 09:17:12 +0100
Hi,

On Sat, 27 Oct 2012, Jonas Meurer wrote:
> Do you think that a dependency is required, or would it be enough to
> recommend kbd and console-setup? Cryptsetup indeed works without kbd,
> it just doesn't copy the local keymap into initramfs.
> 
> Now that recommends are installed by default, it should be enough to
> recommend the packages in question, no? Don't get me wrong, I'm fine
> with depending on them as well, just not sure about it. That's why I
> ask for your opinion.

I'm not sure. cryptsetup is probably installed by d-i and I don't know
whether d-i install Recommends by default.

If it does then Recommends is probably ok.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Added tag(s) pending. Request was from Jonas Meurer <mejo@debian.org> to control@bugs.debian.org. (Thu, 01 Nov 2012 13:30:12 GMT) Full text and rfc822 format available.

Reply sent to Jonas Meurer <mejo@debian.org>:
You have taken responsibility. (Fri, 02 Nov 2012 11:21:16 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 02 Nov 2012 11:21:16 GMT) Full text and rfc822 format available.

Message #32 received at 689722-close@bugs.debian.org (full text, mbox):

From: Jonas Meurer <mejo@debian.org>
To: 689722-close@bugs.debian.org
Subject: Bug#689722: fixed in cryptsetup 2:1.4.3-3
Date: Fri, 02 Nov 2012 11:17:33 +0000
Source: cryptsetup
Source-Version: 2:1.4.3-3

We believe that the bug you reported is fixed in the latest version of
cryptsetup, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689722@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Meurer <mejo@debian.org> (supplier of updated cryptsetup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 01 Nov 2012 15:34:09 +0100
Source: cryptsetup
Binary: cryptsetup cryptsetup-bin libcryptsetup4 libcryptsetup-dev cryptsetup-udeb libcryptsetup4-udeb
Architecture: source amd64
Version: 2:1.4.3-3
Distribution: unstable
Urgency: medium
Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
Changed-By: Jonas Meurer <mejo@debian.org>
Description: 
 cryptsetup - disk encryption support - startup scripts
 cryptsetup-bin - disk encryption support - command line tools
 cryptsetup-udeb - disk encryption support - commandline tools (udeb) (udeb)
 libcryptsetup-dev - disk encryption support - development files
 libcryptsetup4 - disk encryption support - shared library
 libcryptsetup4-udeb - disk encryption support - shared library (udeb) (udeb)
Closes: 671037 684086 685762 688786 689722 690784 691517
Changes: 
 cryptsetup (2:1.4.3-3) unstable; urgency=medium
 .
   * add recommends for 'kbd, console-setup' to cryptsetup package. Both are
     necessary to support local keymap in initramfs. Thanks to Raphaël Hertzog
     for the bugreport. (closes: #689722)
   * move suggestion for 'initramfs-tools (>= 0.91) | linux-initramfs-tool,
     busybox' to recommends. Both are required for encrypted root fs.
   * remove suggestion for udev, most debian systems have it installed anyway.
   * mention option to use UUID=<luks_uuid> for source device in crypttab(5).
     Thanks to Felicitus for the bug report. (closes: #688786)
   * add a paragraph in README.initramfs: Describe, why renaming the target
     name is not supported for encrypted root devices. Thanks to Adam Lee for
     bugreport and proposed workaround for this limitation. (closes: #671037)
   * fix keyfile permission checks in cryptdisks init scripts to follow
     symlinks. Thanks to intrigeri for the bugreport. (closes: #691517)
   * fix owner group check for keyfile in cryptdisks init scripts to really
     check owner group.
   * update debconf translations:
     - brasilian portuguese, thanks to Adriano Rafael Gomes. (closes: #685762)
     - japanese, thanks to victory. (closes: #690784)
   * fix typo in manpages: s/passphase/passphrase. Thanks to Milan Broz for
     the bugreport. (closes: #684086)
Checksums-Sha1: 
 93575a06c93c548922e51d1f48a0873d4cb8ea0e 2539 cryptsetup_1.4.3-3.dsc
 89fbed733e369993c34a1d0900314f1d66361cc5 94764 cryptsetup_1.4.3-3.debian.tar.gz
 c763c4bcd8702c66c898b9c56366df8a0a678f3f 127596 cryptsetup_1.4.3-3_amd64.deb
 c403bcda1f4c44031b7930b53cb9ca2640aaf0c0 153274 cryptsetup-bin_1.4.3-3_amd64.deb
 e0f6ed339d642104579140f0fbaf409e8eb0a11d 93916 libcryptsetup4_1.4.3-3_amd64.deb
 dab4a051b0238c3a091578e04b6b7bdcf9b6f5f7 52426 libcryptsetup-dev_1.4.3-3_amd64.deb
 b0b1f7a2944054d49c1b8d165341d1f52f9b83dc 30628 cryptsetup-udeb_1.4.3-3_amd64.udeb
 438bd28f2c5e6ebc8fa0efc77f32cddc6a1fe41a 42634 libcryptsetup4-udeb_1.4.3-3_amd64.udeb
Checksums-Sha256: 
 a187b73c8e0868b2198ddca1d14d94e350905206ab288d67c6a9e0860ce4d26a 2539 cryptsetup_1.4.3-3.dsc
 664d9670419c9895c95a1a1f76fc7e508dca78aa6ccec73a2262d50922b15ee4 94764 cryptsetup_1.4.3-3.debian.tar.gz
 2c74aafaf13b7aa3e569b0d89d0c0e466af940f10b73c58e1386a6cc1a3655e1 127596 cryptsetup_1.4.3-3_amd64.deb
 da3ca0e6d571824127c582d1eb8cd6c68b588ed867c4875e214e73d9f8357487 153274 cryptsetup-bin_1.4.3-3_amd64.deb
 79df0924787253303dd9c3fe7bb863af8f6e52afdbee40dd1a9c43d652e58754 93916 libcryptsetup4_1.4.3-3_amd64.deb
 94814deba27e329f5dee647cd16efbcda336e4262eeacedbcbd9c6bfab0bf95b 52426 libcryptsetup-dev_1.4.3-3_amd64.deb
 1f919a69c433794c7ec99b3abb12b95c0929cc26a4f10385c70750b2a74d6cc3 30628 cryptsetup-udeb_1.4.3-3_amd64.udeb
 2707f22ffa966f1f78748fcd9045cfa4b1acbda18104f067e965fab70ab9b8ac 42634 libcryptsetup4-udeb_1.4.3-3_amd64.udeb
Files: 
 eee01b35ff4fa3f096098e36e701fb35 2539 admin optional cryptsetup_1.4.3-3.dsc
 d74acdbd31fcfab6cd4c9db483d6c72f 94764 admin optional cryptsetup_1.4.3-3.debian.tar.gz
 d14f6a69a1d31748c9993e4ce1ebeac8 127596 admin optional cryptsetup_1.4.3-3_amd64.deb
 252b26ca1b930ff9927a24b0bb92c453 153274 admin optional cryptsetup-bin_1.4.3-3_amd64.deb
 0114f968f66ead9d731bea3f49d00720 93916 libs optional libcryptsetup4_1.4.3-3_amd64.deb
 3565910234e675ef378de854599ebbdc 52426 libdevel optional libcryptsetup-dev_1.4.3-3_amd64.deb
 32e81d502aee4177fdcc1b7e7b6f89fa 30628 debian-installer optional cryptsetup-udeb_1.4.3-3_amd64.udeb
 82d4c78e917878ff2f054496f7cf93bd 42634 debian-installer optional libcryptsetup4-udeb_1.4.3-3_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJQkoyNAAoJEFJi5/9JEEn+55AP/i23wtkeIKZgO3UhwG+4yV0O
BjzUD2Y2hsLyeE8WyaMVrLszlVeD1heuvK+W5Djk6OByZvKweHFIPMyBLSXYWGIl
xXTSXRGgnngq/fYVUDw3G5Q0Bn/eAHeOUd9NylYy98kBMR7EGZRzGijMhCTox3NA
D3VfnH41h+Nm6c8MEfK1uOHPeVwHlhSlfDeLzYyyV3t+T6MCC7D0PJeg14dkHU+2
0tQEl3m61Frt4BwP84GgRwvXZCz1I9s9GXjYH4U1c4BVavHeN7wvRhxbFTd5wSDZ
slpI3X8Ka2oSHaGR/bga3cPO6yeyJMn/q/8FnXaj7pzlb/Yt4WywiqXL5LzuDS5t
LWFN1RmLpOnOKEFOZaUbulxoVMB+yDjDzHYqT31R1SAvLTZ0D/liez+h2VjqWa+J
mRHcBV0Ph1PkMTpUKmv9YDCXag61zr1z02e7fTdCpcbqwyl99CHc78Oxl7ystJiz
Vkpt20WIwNRi+Y6BEliY+wr316Cbb07Ctw5Ml7Zbb6i6BJSILvHxwz4rLVkfGgrs
F2cSZ78YhriFEdff0F96a3k7GYrskGxDIPObbF2eWCkGepZZU0CARqgHrvW35XKw
kS/PzKpXY4koSPbXuDS5hYyHNdj0VUt0ozFsbdLmngf8uXoqakoJltXur46R80+w
KP7qjZ+b5WJrfRV5CQhB
=y0nU
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#689722; Package cryptsetup. (Sun, 04 Nov 2012 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Sun, 04 Nov 2012 15:03:05 GMT) Full text and rfc822 format available.

Message #37 received at 689722@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonas Meurer <jonas@freesources.org>
Cc: 689722@bugs.debian.org, hertzog@debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#689722: cryptsetup: should depend on kbd and console-setup
Date: Sun, 4 Nov 2012 16:02:22 +0100
[Message part 1 (text/plain, inline)]
On Sat, Oct 27, 2012 at 09:53:54 +0200, Jonas Meurer wrote:

> Hey,
> 
> Am 09.10.2012 20:35, schrieb Julien Cristau:
> > On Sat, Oct  6, 2012 at 01:37:27 +0200, Christoph Anton Mitterer
> > wrote:
> > 
> >> Hi Raphaël.
> >> 
> >> On Fri, 2012-10-05 at 16:37 +0200, Raphaël Hertzog wrote:
> >>> So you have to ensure that both tools are available and for
> >>> this you need the dependencies.
> >> Why does it generally need to depend on them?
> >> 
> > Because people are generally unhappy when their machine doesn't
> > boot, and we shouldn't put them in that position.
> 
> Do you think that a dependency is required, or would it be enough to
> recommend kbd and console-setup? Cryptsetup indeed works without kbd,
> it just doesn't copy the local keymap into initramfs.
> 
> Now that recommends are installed by default, it should be enough to
> recommend the packages in question, no? Don't get me wrong, I'm fine
> with depending on them as well, just not sure about it. That's why I
> ask for your opinion.
> 
Recommends is probably ok.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Dec 2012 07:26:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:13:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.